summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rw-r--r--source/l/FTBFSlog3
-rwxr-xr-xsource/l/dconf/dconf.SlackBuild4
-rw-r--r--source/n/FTBFSlog3
-rw-r--r--source/n/dnsmasq/dnsmasq-2.80-SIOCGSTAMP.patch60
-rwxr-xr-xsource/n/dnsmasq/dnsmasq.SlackBuild3
-rwxr-xr-xsource/n/ebtables/ebtables.SlackBuild46
-rw-r--r--source/n/ebtables/ebtables.url1
-rw-r--r--source/n/ebtables/slack-desc2
-rw-r--r--source/n/iptables/iptables.url1
-rw-r--r--source/n/iptables/slack-desc4
-rw-r--r--source/n/libnftnl/libnftnl.url1
-rw-r--r--source/n/nftables/nftables.url1
12 files changed, 103 insertions, 26 deletions
diff --git a/source/l/FTBFSlog b/source/l/FTBFSlog
index a249aca22..86834b4c9 100644
--- a/source/l/FTBFSlog
+++ b/source/l/FTBFSlog
@@ -1,3 +1,6 @@
+Tue Dec 3 18:47:08 UTC 2019
+ dconf: also fix duplicate symbols for meson-0.52.1.
++--------------------------+
Thu Nov 21 22:04:10 UTC 2019
dconf: fix duplicate symbols building with meson.
+--------------------------+
diff --git a/source/l/dconf/dconf.SlackBuild b/source/l/dconf/dconf.SlackBuild
index 8dd002676..927bba200 100755
--- a/source/l/dconf/dconf.SlackBuild
+++ b/source/l/dconf/dconf.SlackBuild
@@ -78,8 +78,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Fix duplicate symbols at link time with meson-0.52.0:
-if [ "$(meson --version)" = "0.52.0" ]; then
+# Fix duplicate symbols at link time with meson-0.52.{0,1}:
+if [ "$(meson --version)" = "0.52.0" -o "$(meson --version)" = "0.52.1" ]; then
sed -i "s/link_whole: libdconf_common,/link_with: libdconf_common,/g" common/meson.build
fi
diff --git a/source/n/FTBFSlog b/source/n/FTBFSlog
index 8aa6243ae..dd92b73d9 100644
--- a/source/n/FTBFSlog
+++ b/source/n/FTBFSlog
@@ -1,3 +1,6 @@
+Tue Dec 3 18:50:55 UTC 2019
+ dnsmasq: fix building against 5.4.x kernel headers.
++--------------------------+
Tue Sep 10 17:59:49 UTC 2019
nn: patch to fix breakage from removal of stropts.h in glibc-2.30.
+--------------------------+
diff --git a/source/n/dnsmasq/dnsmasq-2.80-SIOCGSTAMP.patch b/source/n/dnsmasq/dnsmasq-2.80-SIOCGSTAMP.patch
new file mode 100644
index 000000000..3a32bb82e
--- /dev/null
+++ b/source/n/dnsmasq/dnsmasq-2.80-SIOCGSTAMP.patch
@@ -0,0 +1,60 @@
+From 31e14f6e52677c675ee4683f9daab5bf21c07dd6 Mon Sep 17 00:00:00 2001
+From: Petr Mensik <pemensik@redhat.com>
+Date: Wed, 31 Jul 2019 20:35:35 +0200
+Subject: [PATCH] Recent kernel no longer supports SIOCGSTAMP
+
+Build without it defined by kernel headers. Do not try SO_TIMESTAMP
+until fixed properly.
+---
+ src/dhcp.c | 32 ++++++++++++++++++--------------
+ 1 file changed, 18 insertions(+), 14 deletions(-)
+
+diff --git a/src/dhcp.c b/src/dhcp.c
+index f8d323b..9afdccf 100644
+--- a/src/dhcp.c
++++ b/src/dhcp.c
+@@ -178,23 +178,27 @@ void dhcp_packet(time_t now, int pxe_fd)
+ (sz < (ssize_t)(sizeof(*mess) - sizeof(mess->options))))
+ return;
+
+- #if defined (HAVE_LINUX_NETWORK)
+- if (ioctl(fd, SIOCGSTAMP, &tv) == 0)
++#if defined (HAVE_LINUX_NETWORK)
++#ifdef SIOCGSTAMP
++ if (tv.tv_sec == 0 && ioctl(fd, SIOCGSTAMP, &tv) == 0)
+ recvtime = tv.tv_sec;
++#endif
+
+ if (msg.msg_controllen >= sizeof(struct cmsghdr))
+- for (cmptr = CMSG_FIRSTHDR(&msg); cmptr; cmptr = CMSG_NXTHDR(&msg, cmptr))
+- if (cmptr->cmsg_level == IPPROTO_IP && cmptr->cmsg_type == IP_PKTINFO)
+- {
+- union {
+- unsigned char *c;
+- struct in_pktinfo *p;
+- } p;
+- p.c = CMSG_DATA(cmptr);
+- iface_index = p.p->ipi_ifindex;
+- if (p.p->ipi_addr.s_addr != INADDR_BROADCAST)
+- unicast_dest = 1;
+- }
++ {
++ for (cmptr = CMSG_FIRSTHDR(&msg); cmptr; cmptr = CMSG_NXTHDR(&msg, cmptr))
++ if (cmptr->cmsg_level == IPPROTO_IP && cmptr->cmsg_type == IP_PKTINFO)
++ {
++ union {
++ unsigned char *c;
++ struct in_pktinfo *p;
++ } p;
++ p.c = CMSG_DATA(cmptr);
++ iface_index = p.p->ipi_ifindex;
++ if (p.p->ipi_addr.s_addr != INADDR_BROADCAST)
++ unicast_dest = 1;
++ }
++ }
+
+ #elif defined(HAVE_BSD_NETWORK)
+ if (msg.msg_controllen >= sizeof(struct cmsghdr))
+--
+2.20.1
+
diff --git a/source/n/dnsmasq/dnsmasq.SlackBuild b/source/n/dnsmasq/dnsmasq.SlackBuild
index 49d445491..aefcd2919 100755
--- a/source/n/dnsmasq/dnsmasq.SlackBuild
+++ b/source/n/dnsmasq/dnsmasq.SlackBuild
@@ -67,6 +67,9 @@ zcat $CWD/dnsmasq.leasedir.diff.gz | patch -p1 --verbose --backup --suffix=.orig
# Use libidn2:
zcat $CWD/dnsmasq.libidn2.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+# Fix build with Linux 5.4.x:
+zcat $CWD/dnsmasq-2.80-SIOCGSTAMP.patch.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+
make $NUMJOBS all-i18n PREFIX=/usr MANDIR=/usr/man || exit 1
make install-i18n PREFIX=/usr DESTDIR=$PKG MANDIR=/usr/man || exit 1
chmod 0755 $PKG/usr/sbin/dnsmasq
diff --git a/source/n/ebtables/ebtables.SlackBuild b/source/n/ebtables/ebtables.SlackBuild
index 738a7862e..c59127779 100755
--- a/source/n/ebtables/ebtables.SlackBuild
+++ b/source/n/ebtables/ebtables.SlackBuild
@@ -25,8 +25,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=ebtables
-VERSION=${VERSION:-2.0.10}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-2.0.11}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -44,6 +44,8 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -64,9 +66,9 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf $PKGNAM-v$VERSION-4
-tar xvf $CWD/$PKGNAM-v$VERSION-4.tar.xz || exit 1
-cd $PKGNAM-v$VERSION-4 || exit 1
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -74,22 +76,24 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Set our CFLAGS and avoid a "warning-as-error" that breaks build
-sed -i \
- -e "s|-fPIC -O3|${SLKCFLAGS}|" \
- -e "s|-Wunused|-Wno-error=unused-but-set-variable|" \
- Makefile
-
-make -j 4 || exit 1
-
-make install \
- DESTDIR=$PKG \
- LIBDIR=/usr/lib${LIBDIRSUFFIX} \
- MANDIR=/usr/man \
- BINDIR=/usr/sbin \
- ETCDIR=/etc \
- INITDIR=/etc/rc.d/init.d \
- SYSCONFIGDIR=/etc/sysconfig || exit 1
+# Configure, build, and install:
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --build=$ARCH-slackware-linux || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
diff --git a/source/n/ebtables/ebtables.url b/source/n/ebtables/ebtables.url
new file mode 100644
index 000000000..c1f4b66b7
--- /dev/null
+++ b/source/n/ebtables/ebtables.url
@@ -0,0 +1 @@
+ftp://ftp.netfilter.org/pub/ebtables
diff --git a/source/n/ebtables/slack-desc b/source/n/ebtables/slack-desc
index 5b22a3680..fc28d1dc8 100644
--- a/source/n/ebtables/slack-desc
+++ b/source/n/ebtables/slack-desc
@@ -13,7 +13,7 @@ ebtables: Linux bridge, logging, MAC NAT and brouting. It only provides basic
ebtables: IP filtering, the full-fledged IP filtering on a Linux bridge is
ebtables: done with iptables.
ebtables:
-ebtables: Homepage: http://ebtables.sourceforge.net/
+ebtables: Homepage: https://ebtables.netfilter.org
ebtables:
ebtables:
ebtables:
diff --git a/source/n/iptables/iptables.url b/source/n/iptables/iptables.url
new file mode 100644
index 000000000..3d771beb1
--- /dev/null
+++ b/source/n/iptables/iptables.url
@@ -0,0 +1 @@
+ftp://ftp.netfilter.org/pub/iptables
diff --git a/source/n/iptables/slack-desc b/source/n/iptables/slack-desc
index d10ddfe53..271e51172 100644
--- a/source/n/iptables/slack-desc
+++ b/source/n/iptables/slack-desc
@@ -14,6 +14,6 @@ iptables: internet access if you don't have enough public IP addresses, use NAT
iptables: to implement transparent proxies, aid the tc and iproute2 systems
iptables: used to build sophisticated QoS and policy routers, do further packet
iptables: manipulation (mangling) like altering the TOS/DSCP/ECN bits of the IP
-iptables: header, and much more. See: http://www.netfilter.org
-iptables:
+iptables: header, and much more.
iptables:
+iptables: Homepage: http://www.netfilter.org/projects/iptables/
diff --git a/source/n/libnftnl/libnftnl.url b/source/n/libnftnl/libnftnl.url
new file mode 100644
index 000000000..efd8cba46
--- /dev/null
+++ b/source/n/libnftnl/libnftnl.url
@@ -0,0 +1 @@
+ftp://ftp.netfilter.org/pub/libnftnl
diff --git a/source/n/nftables/nftables.url b/source/n/nftables/nftables.url
new file mode 100644
index 000000000..91530a7b9
--- /dev/null
+++ b/source/n/nftables/nftables.url
@@ -0,0 +1 @@
+ftp://ftp.netfilter.org/pub/nftables